#
# spec file for package BlobTools
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           BlobTools
Version:        0.0.git.1351083718.6186e33
Release:        lp150.1.3
Summary:        Tools for ASUS Android blob Files
License:        Apache-2.0
Group:          Development/Tools/Other
Url:            https://www.androidroot.mobi/
# https://github.com/AndroidRoot/BlobTools
Source:         %{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tools for unpacking & repacking blobs used for updating "hidden" partitions on
ASUS Transformer.

The tools should be fairly selfexplanatory, but keep in mind there's very
little error checking, so if it crashes, don't flash the blob ;)

Copyright 2012 Jens Andersen/AndroidRoot.mobi

%prep
%setup -q

%build
%{__make} %{?jobs:-j%jobs} CFLAGS="-Wall $RPM_OPT_FLAGS -I. -Ishared"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install blobpack blobunpack $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_bindir}/*

%changelog
* Thu Nov 28 2013 sbrabec@suse.cz
- Package created.
